#ident "$Id: system.h,v 1.5 2001/10/19 06:19:50 hpa Exp $"
/* ----------------------------------------------------------------------- *
 *   
 *   Copyright 2000-2001 H. Peter Anvin - All Rights Reserved
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as
 *   published by the Free Software Foundation, Inc.,
 *   59 Temple Place Ste 330, Boston MA 02111-1307, USA, version 2.1,
 *   incorporated herein by reference.
 *
 * ----------------------------------------------------------------------- */

/*
 * system.h
 *
 * System-specific constants.
 */

#ifndef SYSTEM_H
#define SYSTEM_H

#if defined(__x86_64__)
# include "sysdep/x86_64.h"
#elif defined(__alpha__)
# include "sysdep/alpha.h"
#elif defined(__ia64__)
# include "sysdep/ia64.h"
#elif defined(__mips64)
# include "sysdep/mips64.h"
#elif defined(__sparc_v9__)
# include "sysdep/sparc64.h"
#elif defined(__s390x__)	/* Correct?? */
# include "sysdep/s390x.h"
#elif defined(__i386__)
# include "sysdep/i386.h"
#elif defined(__powerpc__)
# include "sysdep/ppc32.h"
#elif defined(__sparc__)
# include "sysdep/sparc32.h"
#elif defined(__arm__)
# include "sysdep/arm.h"
#elif defined(__mc68000__)
# include "sysdep/m68k.h"
#elif defined(__mips__)
# include "sysdep/mips32.h"
#elif defined(__sh__)
# include "sysdep/sh.h"
#elif defined(__hppa__)
# include "sysdep/parisc.h"
#elif defined(__cris__)		/* Correct?? */
# include "sysdep/cris.h"
#elif defined(__s390__)		/* Correct?? */
# include "sysdep/s390.h"
#else
# error "No sysdep file defined for this machine architecture"
#endif

#endif /* SYSTEM_H */

